#!/usr/bin/env python
# encoding: utf-8

import argparse
from kmulti_server_lib import KMulti     # keithley multimeter 2000

# defaults
PORT = "/dev/ttyUSB0"

# ================ MAIN function ============================================ #
def main(args=None):

    # check inputs  ######################################
    if (args.port):
        port = args.port
    else:
        port = PORT

    kmulti = KMulti(port)
    res = kmulti.init_device()
    print("Device init: ",res)

    R = kmulti.get_resistance()
    T = kmulti.convert_to_temp(R)   # calculate temperature
    print('Res:',R,'Ohm\nTemp:',T,'C')

    V = kmulti.get_voltage()
    print('Voltage:',V,'V')
    kmulti.close_port()
    return 0
##end def main

if __name__=='__main__':
    from argparse import ArgumentParser
    parser = ArgumentParser()
    parser.add_argument('--port', type=str, help="port [like: /dev/ttyUSB0]", default=PORT)
    args = parser.parse_args()
    main(args)
##end ifmain ###################################################################
